Bug 845984

Summary: ghostscript 9.05 does not show some Postscript files in /usr/shar/doc
Product: [Fedora] Fedora Reporter: Walter Mueller <walter.mueller>
Component: pagul-fontsAssignee: Parag Nemade <pnemade>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: fonts-bugs, i18n-bugs, lijli, pnemade, tagoh, twaugh
Target Milestone: ---Keywords: i18n, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-25 04:48:11 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Output of "gs /usr/share/doc/f2c-20090411/f2c.ps" none

Description Walter Mueller 2012-08-06 07:51:16 EDT
Created attachment 602491 [details]
Output of "gs /usr/share/doc/f2c-20090411/f2c.ps"

Description of problem: Can't display some Potscript files


Version-Release number of selected component (if applicable): Fedora 17


How reproducible: gs /usr/share/doc/xorg-x11-docs-1.6/License.ps
                  gs /usr/share/doc/gnuplot-doc-4.4.4/ps_guide.ps
                  gs /usr/share/doc/f2c-20090411/f2c.ps
                  ...

Steps to Reproduce:
1. open one of the files
2.
3.
  
Actual results:   ghostscript crashes


Expected results: ghostscript displays file


Additional info: Logfile for gs /usr/share/doc/f2c-20090411/f2c.ps attached
Comment 1 Tim Waugh 2012-08-06 10:38:13 EDT
Works for me.  Perhaps you don't have urw-fonts installed?
Comment 2 Walter Mueller 2012-08-06 10:43:20 EDT
rpm -qi urw-fonts
Name        : urw-fonts
Version   rpm -qi urw-fonts
Name        : urw-fonts
Version     : 2.4
Release     : 11.fc17
Architecture: noarch
Install Date: Mon Jun  4 10:22:38 2012
  : 2.4
Release     : 11.fc17
Architecture: noarch
Install Date: Mon Jun  4 10:22:38 2012
Comment 3 Tim Waugh 2012-08-06 11:05:34 EDT
ghostscript-9.05-1.fc17.x86_64
urw-fonts-2.4-11.fc17.noarch

$ gs /usr/share/doc/f2c-20090411/f2c.ps
GPL Ghostscript 9.05 (2012-02-08)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/9.05/Resource/Font/StandardSymL.
Can't find (or can't open) font file StandardSymL.
Can't find (or can't open) font file /usr/share/ghostscript/9.05/Resource/Font/StandardSymL.
Can't find (or can't open) font file StandardSymL.
Querying operating system for font files...
Loading StandardSymL font from /usr/share/fonts/default/Type1/s050000l.pfb... 3484064 2089835 4649384 3167957 1 done.
Loading NimbusRomNo9L-Regu font from /usr/share/fonts/default/Type1/n021003l.pfb... 3611312 2253332 4649384 3179734 1 done.
Loading NimbusRomNo9L-Medi font from /usr/share/fonts/default/Type1/n021004l.pfb... 3778816 2418141 4649384 3233505 2 done.
Loading NimbusRomNo9L-ReguItal font from /usr/share/fonts/default/Type1/n021023l.pfb... 3923208 2569946 4649384 3236868 2 done.
>>showpage, press <return> to continue<<
^C
Comment 4 Walter Mueller 2012-08-07 05:57:16 EDT
The bug appears if I install pagul-fonts-1.0-3.fc17.noarch.rpm.
It disappears if this package is removed.
Comment 5 Tim Waugh 2012-10-31 11:24:13 EDT
Same here on F18:

$ gs /usr/share/doc/f2c-20110801/f2c.ps 
GPL Ghostscript 9.06 (2012-08-08)
Copyright (C) 2012 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/9.06/Resource/Font/StandardSymL.
Can't find (or can't open) font file StandardSymL.
Can't find (or can't open) font file /usr/share/ghostscript/9.06/Resource/Font/StandardSymL.
Can't find (or can't open) font file StandardSymL.
Querying operating system for font files...
Error: /limitcheck in /findfont
Operand stack:
   Symbol
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1894   1   3   %oparray_pop   1893   1   3   %oparray_pop   1877   1   3   %oparray_pop   1771   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   --nostringval--   1852   1   3   %oparray_pop
Dictionary stack:
   --dict:1161/1684(ro)(G)--   --dict:0/20(G)--   --dict:157/200(L)--
Current allocation mode is local
Current file position is 5470
GPL Ghostscript 9.06: Unrecoverable error, exit code 1

ghostscript-9.06-3.fc18.x86_64
pagul-fonts-1.0-4.fc18.noarch
Comment 6 Parag Nemade 2012-11-05 04:08:02 EST
I can reproduce this on F18. Need to check further whats going wrong.
Comment 7 Fedora End Of Life 2013-07-04 02:27:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Akira TAGOH 2013-07-25 02:03:09 EDT
Does this issue still persist on f19 say?
Comment 9 Tim Waugh 2013-07-25 04:48:11 EDT
Seems to work fine on Fedora 19.pagul-fonts-1.0-5.fc19.noarch
ghostscript-9.07-10.fc19.x86_64

I'm starting to think this is the same as bug #969660.

*** This bug has been marked as a duplicate of bug 969660 ***